--- title: "Get Top Attacker Countries" slug: "get-top-attacker-countries-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-top-attacker-countries-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top Attacker Countries This URL retrieves the countries of the top attackers. ### Resource URL GET /alerts/TopN/attacker_countries ### Request Parameters URL Parameters: None Payload Request Parameters: None Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `duration` | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be: - LAST_5_MINUTES - LAST_1_HOUR - LAST_6_HOURS - LAST_12_HOURS - LAST_24_HOURS - LAST_48_HOURS - LAST_7_DAYS - LAST_14_DAYS | String | No | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `TopAttackerCountriesList` | List of the countries of the top attackers | Array | Details of fields in TopAttackerCountriesList: | Field Name | Description | Data Type | | --- | --- | --- | | countryName | Name of the country | String | | attackCount | Count of the attack | Number | ### Example **Request** GET [https:///sdkapi/alerts/TopN/attacker_countries?duration=LAST_14_DAYS](https://<NSM_IP>/sdkapi/alerts/TopN/attacker_countries?duration=LAST_14_DAYS) **Payload** None **Response** ```    { "TopAttackerCountriesList": [{ "countryName":"Japan","attackCount":231486.0}, {"countryName":"United States","attackCount":126461.0}, {"countryName":"France","attackCount":48914.0}, {"countryName":"China","attackCount":29678.0}, {"countryName":"Australia","attackCount":25757.0}, {"countryName":"Bosnia and Herzegovina","attackCount":6395.0}, {"countryName":"Spain","attackCount":6276.0}, {"countryName":"Taiwan","attackCount":6107.0}, {"countryName":"Canada","attackCount":3204.0 }] } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 3601 | Invalid duration |